Service announcements  RSS

2017-11-08 15:00: Joomla! 3.8.2 security update
Joomla! 3.8.2 was announced yesterday as a security update for all previous Joomla! editions.

If you're using Joomla! 3.8.1 or older versions, you must upgrade immediately.

Source: joomla.org

All service announcements

© 2017 Domeneshop AS · About us · Terms & Conditions · About cookies